Уязвимость BDU:2020-01873

Дата: 26.11.2017. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01873.

Наименование уязвимости: Уязвимость функции kwajd_read_headers библиотеки Libmspack и утилиты разархивации CAB-файлов СabExtract, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции kwajd_read_headers библиотеки Libmspack и утилиты разархивации CAB-файлов СabExtract связана с записью за границами буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании с помощью файла формата KWAJ
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Novell Inc. OpenSUSE Leap 42.3 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 12.04 ESM | Прикладное ПО информационных систем Cabextract до 1.8 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Сетевое программное средство Red Hat Inc. Ansible Tower 3.3 | Прикладное ПО информационных систем Libmspack до 0.7 alpha |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Red Hat Enterprise Linux 7 | Ubuntu 1604 LTS | OpenSUSE Leap 423 | Ubuntu 1804 LTS | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Ubuntu 1204 ESM | OpenSUSE Leap 150 |
Дата выявления: 26.11.2017.
CVSS 2.0: AV:N/AC:M/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)

Возможные меры по устранению:
Использование рекомендаций:
Для libmspack:
https://github.com/kyz/libmspack/commit/0b0ef9344255ff5acfac6b7af09198ac9c9756c8

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2018-14681/

Для Ubuntu:
https://usn.ubuntu.com/3728-1/
https://usn.ubuntu.com/3728-2/
https://usn.ubuntu.com/3728-3/
https://usn.ubuntu.com/3789-2/

Для Debian GNU/Linux:
https://lists.debian.org/debian-lts-announce/2018/08/msg00007.html
https://www.debian.org/security/2018/dsa-4260

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/CVE-2018-14681
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-14681.

Тип ошибки CWE: CWE-787
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://www.openwall.com/lists/oss-security/2018/07/26/1 Mailing List Third Party Advisory
http://www.securitytracker.com/id/1041410 Third Party Advisory VDB Entry
https://access.redhat.com/errata/RHSA-2018:3327 Third Party Advisory
https://access.redhat.com/errata/RHSA-2018:3505
https://bugs.debian.org/904799
https://github.com/kyz/libmspack/commit/0b0ef9344255ff5acfac6b7af09198ac9c9756c8
https://lists.debian.org/debian-lts-announce/2018/08/msg00007.html
https://security.gentoo.org/glsa/201903-20
https://usn.ubuntu.com/3728-1/
https://usn.ubuntu.com/3728-2/
https://usn.ubuntu.com/3728-3/
https://usn.ubuntu.com/3789-2/
https://www.debian.org/security/2018/dsa-4260

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *